/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */
#include "oscompat.h"

MODULE_AUTHOR("Conexant Systems Inc.");
MODULE_DESCRIPTION("HSF low-level driver for basic2 hardware");
MODULE_LICENSE("Copyright (C) 1996-2001 Conexant Systems Inc. All Rights Reserved.");

// MARCXXX add MODULE_DEVICE_TABLE(pci, ...)

void *GetBasic2Funcs(void);


#ifdef HAVE_INTER_MODULE

int init_module(void)
{
	inter_module_register("GetBasic2Funcs", THIS_MODULE, GetBasic2Funcs);
	return 0;
}

void cleanup_module(void)
{
	inter_module_unregister("GetBasic2Funcs");
}

#else

EXPORT_SYMBOL_NOVERS(GetBasic2Funcs);
#endif // HAVE_INTER_MODULE
